clear all
clc

c = 2.997924580000000e+08;

% run elegant
% -------------
!elegant line0.ele

% import data
% -------------
W1 = sddsload('W1.out');
t = W1.column.t.page1;
p = W1.column.p.page1;

t = t -mean(t);
z = t*c;
delta = (p - mean(p))/mean(p);

figure(1)
plot(z,delta,'.r'),grid on

% Fitting
p = polyfit(z,delta,3);
R65 = p(3)